This App Is Incompatible With This iPod Touch

Discussion in 'iPod touch' started by maxxdout, Mar 20, 2010.

  1. maxxdout

    maxxdout Active Member

    Joined:
    Nov 13, 2009
    Messages:
    1,764
    Likes Received:
    11
    So today, I go into the App store to check out what new free apps there are. Once I am on an app's page, I tap on the "FREE" button and then the "INSTALL" button and this is what I get:

    Please Register or Log in to view images


    This App Is Incompatible With This iPod Touch
    P2.requiredCapabilities.thisAppRequires

    This doesn't show up on every app, just a few of them. I have also noticed that a few of my app updates(Shotgun Free, iCopter Classic) can't update because of the same reason.

    I disabled everything on my iPod(themes, mobilesubtrates, etc...) just to see if something was screwing it up but nothing is working.

    Help, please?

    Please Register or Log in to view images



    Thanks, maxx
  2. m0in

    m0in Well-Known Member

    Joined:
    Dec 28, 2009
    Messages:
    2,723
    Likes Received:
    28
    Device:
    4G iPod touch
    Several questions:
    What iPod is this on?
    What firmware is this running?
  3. maxxdout

    maxxdout Active Member

    Joined:
    Nov 13, 2009
    Messages:
    1,764
    Likes Received:
    11
    Read my info under my avatar

    Please Register or Log in to view images



    iPod Touch 2nd Gen 8gb - 3.1.3 - Jailbroken via pwnagetool
  4. m0in

    m0in Well-Known Member

    Joined:
    Dec 28, 2009
    Messages:
    2,723
    Likes Received:
    28
    Device:
    4G iPod touch
    K, some people don't update their info. Check if this happens in safe mode
  5. maxxdout

    maxxdout Active Member

    Joined:
    Nov 13, 2009
    Messages:
    1,764
    Likes Received:
    11
    Thanks, safe mode seems to have cleared up the problem. If only I could figure out what's causing the problem so I don't need to boot into safe mode each time I want to install an app...
  6. narwal13

    narwal13 Active Member

    Joined:
    Oct 12, 2009
    Messages:
    3,070
    Likes Received:
    6
    Device:
    5G iPod touch
    im on a 2g 16gb 3.1.3 jb'd and i tried to download the same app, no problems. running BossPaper...
  7. maxxdout

    maxxdout Active Member

    Joined:
    Nov 13, 2009
    Messages:
    1,764
    Likes Received:
    11
    Well I am running a number of addons including: infiniboard, stack, SBSettings, winterboard theme, and MIM. Might have forgot a few but those are the "big" ones. I'll screw around with them tomorrow and see if I can find the culprit...
  8. benyben

    benyben New Member

    Joined:
    Nov 24, 2009
    Messages:
    4
    Likes Received:
    0
    Device:
    2G iPod touch
    App Requirements

    I'm having the same problem... iPod touch 2G 3.1.2 Jailbroken. Not on all apps, just some. Please look into it, that would be VERY helpful.
    ------------------double post merged------------------
    Did anyone else who has this problem download the Firmware Faker 3.1.3? I started having problems right after it. I manually reset my firmware ID, but I still have that error...
  9. Blubberblubb

    Blubberblubb New Member

    Joined:
    Dec 10, 2009
    Messages:
    1
    Likes Received:
    0
    Device:
    2G iPod touch
    I might have found a solution.

    I had the same problem with my Ipod Touch 2g (32GB FW 3.1.2). At first I disabled all the extensions in the Rock app and it worked, just like in safe mode. Then I reenabled the extensions one after another. I found out that it had to be something with Winterboard, so I did just the same as I did with the Rock app. It seems like 'MMP Flip for 3.0' is causing this problem, at least in my case. Try it yourself and tell me if this works for you, too. Oh and excuse my English... I'm German

    Please Register or Log in to view images

  10. masterx02

    masterx02 New Member

    Joined:
    Jan 28, 2009
    Messages:
    37
    Likes Received:
    0
    Mmp flip was my problem too.

Share This Page